Skip to main content
GET
Get Conversation Counter Metrics for a Project

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

projectId
string
required

The unique identifier for the Project.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Query Parameters

year
number
required
month
number
nonConversational
boolean

Deprecated. Please no longer use this parameter. Use channel=nonConversational instead.

channel
enum<string>

As of release 4.96, conversations can be filtered by specific channels like "webchat2". Previously, "webchat2" conversations were aggregated under "realtime" and could not be individually filtered.

Available options:
facebook,
alexa,
slack,
generic,
inject,
rest,
realtime,
socket,
adminconsole,
webchat2,
dialogflow,
twilio,
twilio-sms,
line,
intercom,
microsoftBotFramework,
microsoftTeams,
sunshineConversations,
admin-webchat,
avaya,
nonConversational,
voiceGateway2,
amazonLex,
workplace,
webhook,
abstractRest,
userlike,
ringCentralEngage,
audioCodes,
bandwidth,
whatsapp,
eightByEight,
genesysBotConnector,
niceCXOne,
agentAssistVoice,
webchat3,
niceCXOneAAH,
zoomContactCenter,
mcpServer
Example:

"webchat3"

Response

The conversation counter stats for the given time-frame.

items
object[]
Last modified on July 22, 2026